package com.ruoyi.abuwx.service.impl.exam;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.abuwx.mapper.exam.ExmExamRuleMapper;
import com.ruoyi.abuwx.domain.exam.ExmExamRule;
import com.ruoyi.abuwx.service.exam.IExmExamRuleService;

/**
 * 考试抽题规则（随机试卷有效）Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
@Service
public class ExmExamRuleServiceImpl implements IExmExamRuleService 
{
    @Autowired
    private ExmExamRuleMapper exmExamRuleMapper;

    /**
     * 查询考试抽题规则（随机试卷有效）
     * 
     * @param id 考试抽题规则（随机试卷有效）主键
     * @return 考试抽题规则（随机试卷有效）
     */
    @Override
    public ExmExamRule selectExmExamRuleById(Long id)
    {
        return exmExamRuleMapper.selectExmExamRuleById(id);
    }

    /**
     * 查询考试抽题规则（随机试卷有效）列表
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 考试抽题规则（随机试卷有效）
     */
    @Override
    public List<ExmExamRule> selectExmExamRuleList(ExmExamRule exmExamRule)
    {
        return exmExamRuleMapper.selectExmExamRuleList(exmExamRule);
    }

    /**
     * 新增考试抽题规则（随机试卷有效）
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 结果
     */
    @Override
    public int insertExmExamRule(ExmExamRule exmExamRule)
    {
        return exmExamRuleMapper.insertExmExamRule(exmExamRule);
    }

    /**
     * 修改考试抽题规则（随机试卷有效）
     * 
     * @param exmExamRule 考试抽题规则（随机试卷有效）
     * @return 结果
     */
    @Override
    public int updateExmExamRule(ExmExamRule exmExamRule)
    {
        exmExamRule.setUpdateTime(DateUtils.getNowDate());
        return exmExamRuleMapper.updateExmExamRule(exmExamRule);
    }

    /**
     * 批量删除考试抽题规则（随机试卷有效）
     * 
     * @param ids 需要删除的考试抽题规则（随机试卷有效）主键
     * @return 结果
     */
    @Override
    public int deleteExmExamRuleByIds(Long[] ids)
    {
        return exmExamRuleMapper.deleteExmExamRuleByIds(ids);
    }

    /**
     * 删除考试抽题规则（随机试卷有效）信息
     * 
     * @param id 考试抽题规则（随机试卷有效）主键
     * @return 结果
     */
    @Override
    public int deleteExmExamRuleById(Long id)
    {
        return exmExamRuleMapper.deleteExmExamRuleById(id);
    }
}
